<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head>

<title>
gMap Workout Tracker | Particletree API Implementation
</title>

<!-- Meta Tags -->
<meta http-equiv="content-type" content="application/xhtml+xml; charset=utf-8" />
<meta name="robots" content="index, follow" />

<meta name="description" content="This is an implementation of the Google Maps API using the Garmin Forerunner 201." />
<meta name="keywords" content="Google Map API" />
<meta name="author" content="Chris Campbell, Ryan Campbell, Kevin Hale" />

<!-- CSS -->
<link rel="stylesheet" href="workoutTracker.css" media="screen,projection" type="text/css" />

<!-- JavaScript -->
<script src="http://maps.google.com/maps?file=api&v=1&key=ABQIAAAA-txzkwEvNwlXx9XwmMR7ChRqbfEITYP8KLAIufrtUZ91iJTGjRT_Cy0x04ktJn9UWAIYrEA0zMmTAA" type="text/javascript"></script>
<script src="workoutTracker.js" type="text/javascript"></script>

</head>

<?php
include_once($_SERVER["DOCUMENT_ROOT"]."/shortstat/inc.stats.php");
?>

<body>

<div id="header"> 
<h1><strong>Google Map</strong> Workout Tracker</h1>
<div>Particletree <strong>API</strong> Implementation</div>
</div>

<div id="container"> 
<div id="map"></div>

<div id="loadstatus"> 
<div id="information">
<strong>Distance</strong> : <span id="distanceMessage"></span> 
&#183; 
<strong>Time</strong> : <span id="timeMessage"></span> 
&#183; 
<strong>Avg Speed</strong> : <span id="speedMessage"></span> 
</div><!-- information -->
<div id="progress"></div>
</div><!-- loadstatus -->

<div id="sideBar"> 
<h2>The Story</h2>
<ul>
<li><p>This is our friend <a href="http://www.flickr.com/photos/timothy_sabat/19502629/" title="Tim">Tim</a> riding a bike.</p></li>
<li><p>Tim wears a very <a href="http://www.amazon.com/exec/obidos/tg/detail/-/B0000CFYCH/ref=ase_particletree-20/002-1830702-7774441?v=glance&s=electronics" title="Garmin Forerunner 201">fancy watch</a>.</p></li>
<li><p>It spits out lots of <a href="workoutTracker.xml" title="The XML File">numbers</a>.</p></li>
<li><p><strong>We used Google to make those numbers useful.</strong></p></li>
<li><p><a href="http://particletree.com/features/integrate-your-exercise-route-with-google-maps" title="Particletree Tutorial">Read</a> about how we did it.</p></li>
<li><p>Download the <a href="workoutTracker.zip" title="workoutTracker.zip">source code</a>.</p></li>
</ul>

<form id="checkpoints" method="post" action="workoutTracker.php">
<fieldset>
<legend>Legend</legend>
<p id="firstHalf">First Half</p>
<p id="secondHalf">Second Half</p>

<p class="clear">
<img src="images/mm_20_green.png" />Start 
<img src="images/mm_20_yellow.png" />Checkpoint 
<img src="images/mm_20_red.png" />End 
</p>
</fieldset>

<a id="showStats" class="button">Stats</a>
<a id="hideStats" class="button">Map</a>

<label for="">Set Checkpoint Every</label>
<br />
<select id="cpDistance" name="cpDistance">
<option <?php if($_POST["cpDistance"]=="0"){echo "selected";}?> value="0">No checkpoints</option>
<option <?php if($_POST["cpDistance"]==".25"){echo "selected";}?> value=".25">1/4 Mile</option>
<option <?php if($_POST["cpDistance"]==".5" || $_POST["cpDistance"]==""){echo "selected";}?> value=".5">1/2 Mile</option>
<option <?php if($_POST["cpDistance"]=="1"){echo "selected";}?> value="1">1 Mile</option>
</select>
</form>
</div><!-- sidebar -->

<div id="stats"> 
<p>
<strong>Name</strong> : Tim 
&#183; 
<strong>Age</strong> : 28 
&#183; 
<strong>Weight</strong> : 180 lbs 
&#183; 
<strong>Height</strong> : 6' 0" 
&#183; 
<strong>Date</strong> : 7/2/05 
</p>

<table id="statsTable" summary="Calculated data on each checkpoint from the XML file. Shows distance traveled, time and average speed for each point.">
<caption>
Caption : Calculated data on each checkpoint from the XML file.
</caption>
<thead>
<tr><th>Points</th><th>Distance</th><th>Time</th><th>Speed</th></tr>
</thead>
<tfoot></tfoot>
<tbody></tbody>
</table>
</div><!-- stats -->

</div><!-- contaner -->

<div id="footer">
<p>Interested in a custom solution? <a href="mailto:team@particletree.com" title="team@particletree.com">Contact Us.</a></p>
<span>
&#183; 
<a href="http://particletree.com/" title="Particletree">Particletree</a>
&#183; 
<a href="/about/" title="About">About</a>
&#183; 
<a href="/archives/" title="Archives">Archives</a>
&#183; 
<a href="/links/" title="Links">Links</a>
&#183; 
</span>
</div><!--footer-->

</body>
</html>